PDA

View Full Version : io Christmas Eve problem.


PyTom
2005-11-15, 16:20
I'm having problems running io Christmas Eve. When I go to run the program, it immediately (without popping up anythiny resembling an image window) stops. It pops up an empty error message box, a also a window including the word "Control" in the title, and a window showing source code.

The source code window reports that the error is at 3839:1, or something like that. The contents of the source window are:


current.showLineBreakGlyph(lineBreak);
storeClickGlyphState("line");

if(!current.nodeVisible)
{
dm("Ã…’xÂ?Â? : â€?ñâ€Â¢\Ž¦â€šÃƒ‰Ã¢€šÃƒˆÃ¢€šÃƒ?‚Ä‚¢‚é" +
(currentPage ? "— " : "â€Â¢\") + "Æ’Â?Æ’bÆ’ZÂ?[Æ’WÆ’Ã…’Æ’Cƒ„" + currentNum +
"‚Ã…Â?sÆ’NÆ’Ã… Æ’bÆ’N‘Ã’‚¿‚ɂÈ‚è‚܂µ‚½");
}


The line in question is the one containing currentPage.

I've tried both with and without the patch, and both versions produce the same same error. I've tried it with the system language set to both English and Japanese, with no change.

This is on Win2k.

If anyone has any suggestion as to what could be done to fix this problme, I'd appreciate it.

mr.aufziehvogel
2005-11-15, 16:59
i dunno if this is the same problem, but when i start io and run it for ca 15 seconds it stops and a window pops up with some japanese writing i cant read.

i have tried everything but it just stops.

win xp here. all the other games are working well.

cyborg_alberto
2005-11-15, 17:06
Which kind of game is 'io Christmas Eve"?

Only for curiosity. I don't know anything about programming, and I don't know how I could help you. Sorry. T_T

EDIT: I see you use NT-Based windows (Win2k in 1st case, winXP in 2nd)...
Are you sure "io Cristmas Eve" is compatible with NT-based windows OS?

Maybe this game doesn't be 100% compatible with Win2K/XP...
I hope I've held you.

EDIT 2: What means (A synonym for) "dunno"?

See ya!

inuyasha9854
2005-11-15, 20:18
PyTom: Did you compile it from source? If so, it might be that you should run the editor either with regional settings set to Japanese, or maybe AppLocale.

cyborg_alberto: "I dunno..." is a written slang of "I don't know." Kinda developed that way as people say "I don't know" it gets so rushed, it sounds like "I dunno"

2005-11-15, 20:23
PyTom: Did you compile it from source? If so, it might be that you should run the editor either with regional settings set to Japanese, or maybe AppLocale.

No, this is what appeared when I downloaded and ran the program.

Nephillim
2005-11-16, 01:12
Which kind of game is 'io Christmas Eve"?

Only for curiosity. I don't know anything about programming, and I don't know how I could help you. Sorry. T_T

EDIT: I see you use NT-Based windows (Win2k in 1st case, winXP in 2nd)...
Are you sure "io Cristmas Eve" is compatible with NT-based windows OS?

Maybe this game doesn't be 100% compatible with Win2K/XP...
I hope I've held you.

EDIT 2: What means (A synonym for) "dunno"?

See ya!

Browsing through the original maker's site, I find this:


# CPU : Pentium 以降
# OS : Windows 98/98SE/ME または Windows 2000/XP
# VIDEO : 65536色 (TrueColor, 16bit) 以上


It's not a matter of using an NT operating system, unless you're using a system earlier than NT 4.0 (which requires an update to Service Pack 5)

zalas
2005-11-16, 04:54
Just out of curiosity, but do both of you have Japanese fonts installed? I can't seem to make heads or deals of the first error, since it is complaining that the message layer got turned invisible while trying to display it while waiting for user input. (Like when it pauses, etc.) Were you able to run insani's fate demo correctly?

mr.aufziehvogel
2005-11-16, 10:39
yes, i have jap. fonts installed. (and ascii set to japanese)

fate stay/night demo and fate hallow antaraxia demo are working fine. all other games too.

zalas
2005-11-16, 16:02
Hrm... then I don't know what the problem is.
You can try copying the .exe from the insani Fate demo into the ioChristmasEve folder and running it to see if that helps things.

Stealth_Duck
2007-04-07, 00:07
I was initially having similar problems. First was that the posted webhost no longer had the file, so I had to go through the author's site. Which had ioCE ver 1.20. Which then had an error popup when running with the patch (no problem without it). Then, after I found io v 1.01 (silly me, it's NOT ioCE), and tried the patch, I got the big window of script that you did. What did work is using the second http link posted on this site, which leads to a copy of the original version (about a year older than 1.20), which then works with the patch. If I'm right, the program you have should run fine without the patch. It's just in Japanese. It's good practice ^^.

Unregistered
2007-06-24, 19:10
did any of you try setting the language foe none unicode programs to japanese? it won't run properly without it, at least not on my computer

MaccaSvenne
2008-05-25, 23:57
Does anyone know a way to get a hold of the earlier version of io?
I can only find the newest version of the game on esuhara's site and as stated in this thread, the patch doesn't seem to work with it...